clang-tools 8.0.0

Namespaces | Functions
IsolateDeclarationCheck.cpp File Reference
`#include "IsolateDeclarationCheck.h"`
`#include "../utils/LexerUtils.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
Include dependency graph for IsolateDeclarationCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::readability

## Functions
static SourceLocation | clang::tidy::readability::findStartOfIndirection (SourceLocation Start, int Indirections, const SourceManager &SM, const LangOptions &LangOpts)
static bool | clang::tidy::readability::isMacroID (SourceRange R)
static int | clang::tidy::readability::countIndirections (const Type *T, int Indirections=0)
| This function counts the number of written indirections for the given Type `T`. More...
static bool | clang::tidy::readability::typeIsMemberPointer (const Type *T)
static Optional< std::vector< SourceRange > > | clang::tidy::readability::declRanges (const DeclStmt *DS, const SourceManager &SM, const LangOptions &LangOpts)
| This function tries to extract the SourceRanges that make up all declarations in this `DeclStmt`. More...
static Optional< std::vector< StringRef > > | clang::tidy::readability::collectSourceRanges (llvm::ArrayRef< SourceRange > Ranges, const SourceManager &SM, const LangOptions &LangOpts)
static std::vector< std::string > | clang::tidy::readability::createIsolatedDecls (llvm::ArrayRef< StringRef > Snippets)
| Expects a vector {TypeSnippet, Firstdecl, SecondDecl, ...}. More...